Package org.eclipse.birt.core.preference

# Interface IPreferences

public interface IPreferences

## Field Summary

Fields
Modifier and Type
Field
Description
`static final boolean`
`BOOLEAN_DEFAULT_DEFAULT`
The default-default value for boolean preferences (`false`).
`static final double`
`DOUBLE_DEFAULT_DEFAULT`
The default-default value for double preferences (`0.0`).
`static final String`
`FALSE`
The string representation used for `false` (`"false"`).
`static final float`
`FLOAT_DEFAULT_DEFAULT`
The default-default value for float preferences (`0.0f`).
`static final int`
`INT_DEFAULT_DEFAULT`
The default-default value for int preferences (`0`).
`static final long`
`LONG_DEFAULT_DEFAULT`
The default-default value for long preferences (`0L`).
`static final String`
`STRING_DEFAULT_DEFAULT`
The default-default value for String preferences (`""`).
`static final String`
`TRUE`
The string representation used for `true` (`"true"`).

## Method Summary

Modifier and Type
Method
Description
`void`
`addPreferenceChangeListener(IPreferenceChangeListener pcl)`
`boolean`
`contains(String name)`
`void`
`firePreferenceChangeEvent(String name, Object oldValue, Object newValue)`
`boolean`
`getBoolean(String name)`
`boolean`
`getDefaultBoolean(String name)`
`double`
`getDefaultDouble(String name)`
`float`
`getDefaultFloat(String name)`
`int`
`getDefaultInt(String name)`
`long`
`getDefaultLong(String name)`
`String`
`getDefaultString(String name)`
`double`
`getDouble(String name)`
`float`
`getFloat(String name)`
`int`
`getInt(String name)`
`long`
`getLong(String name)`
`String`
`getString(String name)`
`boolean`
`isDefault(String name)`
`void`
`putValue(String name, String value)`
`void`
`removePreferenceChangeListener(IPreferenceChangeListener pcl)`
`void`
`save()`
`void`
`setDefault(String name, boolean value)`
`void`
`setDefault(String name, double value)`
`void`
`setDefault(String name, float value)`
`void`
`setDefault(String name, int value)`
`void`
`setDefault(String name, long value)`
`void`
`setDefault(String name, String value)`
`void`
`setToDefault(String name)`
`void`
`setValue(String name, boolean value)`
`void`
`setValue(String name, double value)`
`void`
`setValue(String name, float value)`
`void`
`setValue(String name, int value)`
`void`
`setValue(String name, long value)`
`void`
`setValue(String name, String value)`

## Field Details

### BOOLEAN_DEFAULT_DEFAULT

static final boolean BOOLEAN_DEFAULT_DEFAULT
The default-default value for boolean preferences (`false`).

See Also:
  - Constant Field Values

### DOUBLE_DEFAULT_DEFAULT

static final double DOUBLE_DEFAULT_DEFAULT
The default-default value for double preferences (`0.0`).

See Also:
  - Constant Field Values

### FLOAT_DEFAULT_DEFAULT

static final float FLOAT_DEFAULT_DEFAULT
The default-default value for float preferences (`0.0f`).

See Also:
  - Constant Field Values

### INT_DEFAULT_DEFAULT

static final int INT_DEFAULT_DEFAULT
The default-default value for int preferences (`0`).

See Also:
  - Constant Field Values

### LONG_DEFAULT_DEFAULT

static final long LONG_DEFAULT_DEFAULT
The default-default value for long preferences (`0L`).

See Also:
  - Constant Field Values

### STRING_DEFAULT_DEFAULT

static final String STRING_DEFAULT_DEFAULT
The default-default value for String preferences (`""`).

See Also:
  - Constant Field Values

### TRUE

static final String TRUE
The string representation used for `true` (`"true"`).

See Also:
  - Constant Field Values

### FALSE

static final String FALSE
The string representation used for `false` (`"false"`).

See Also:
  - Constant Field Values

## Method Details

### save

void save() throws IOException

Throws:
  `IOException`

### setValue

void setValue(String name, boolean value)

### setValue

void setValue(String name, String value)

### setValue

void setValue(String name, long value)

### setValue

void setValue(String name, int value)

### setValue

void setValue(String name, float value)

### setValue

void setValue(String name, double value)

### setToDefault

void setToDefault(String name)

### setDefault

void setDefault(String name, boolean value)

### setDefault

void setDefault(String name, String value)

### setDefault

void setDefault(String name, long value)

### setDefault

void setDefault(String name, int value)

### setDefault

void setDefault(String name, float value)

### setDefault

void setDefault(String name, double value)

### putValue

void putValue(String name, String value)

### isDefault

boolean isDefault(String name)

### contains

boolean contains(String name)

### getString

String getString(String name)

### getLong

long getLong(String name)

### getInt

int getInt(String name)

### getFloat

float getFloat(String name)

### getDouble

double getDouble(String name)

### getBoolean

boolean getBoolean(String name)

### getDefaultString

String getDefaultString(String name)

### getDefaultLong

long getDefaultLong(String name)

### getDefaultInt

int getDefaultInt(String name)

### getDefaultFloat

float getDefaultFloat(String name)

### getDefaultDouble

double getDefaultDouble(String name)

### getDefaultBoolean

boolean getDefaultBoolean(String name)

### addPreferenceChangeListener

void addPreferenceChangeListener(IPreferenceChangeListener pcl)

### removePreferenceChangeListener

void removePreferenceChangeListener(IPreferenceChangeListener pcl)

### firePreferenceChangeEvent

void firePreferenceChangeEvent(String name, Object oldValue, Object newValue)